Get invitations
1 min
GET
https://usermgmt-api.optimizely.com/api/invitations
Query Parameters
- createdBystringDescription
- emailSentbooleanDescription
- acceptedbooleanDescription
- expiredbooleanDescription
- inviteeEmailstringDescription
- organizationIdstringDescription
- instanceIdstringDescription
- sizeinteger<int32>DescriptionFormatint32
- offsetinteger<int32>DescriptionFormatint32
Responses
200
- page_invitation
- totalItemCountinteger<int32>Formatint32
- itemsinvitation[]
- idstring
- createdBystring
- sentDatesstring[]
- acceptedDatestring<date-time>Formatdate-time
- expirationDatestring<date-time>Formatdate-time
- revokedBystring
- revokedDatestring<date-time>Formatdate-time
- createdstring<date-time>Formatdate-time
- modifiedstring<date-time>Formatdate-time
- firstNamestring
- lastNamestring
- emailstring
- organizationIdstring
- organizationNamestring
- requireAcceptanceboolean
- userGroupsuserGroupDetails[]
- idstring
- namestring
- propertiesproperty[]
- namestring
- valuestring
- permissionsinstancePermissionsForUser[]
- instanceIdstring
- instanceNamestring
- instanceNicknamestring
- navigationUrlstring
- regionstring
- groupNamestring
- groupIdstring
- productIdstring
- productNamestring
- productTypeinteger<int32>Default0Formatint32Allowed01
- allowCustomerDefinedRolesboolean
- hasUsageDashboardboolean
- isServiceboolean
- isHomeOrganizationboolean
- organizationNamestring
- organizationIdstring
- rolesroleDescriptor[]
- namestring
- idstring
- propertiesproperty[]
- namestring
- valuestring
- attributesattribute[]
- idstring
- keystring
- valuesstring[]
- instanceIdstring
- typestring
- namestring
- descriptionstring
- productIdstring
- isActiveboolean
- createdstring<date-time>Formatdate-time
- modifiedstring<date-time>Formatdate-time
- linkslink[]
- relstring
- hrefstring
- reasonForAccessstring
- linkslink[]
- relstring
- hrefstring
400
- validationError[]
- fieldstring
- codestring
- messagestring
401
500
curl
curl --request GET \
--url https://usermgmt-api.optimizely.com/api/invitations \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://usermgmt-api.optimizely.com/api/invitations", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://usermgmt-api.optimizely.com/api/invitations")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://usermgmt-api.optimizely.com/api/invitations"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// The invitations response.
{
"totalItemCount": "",
"items": [
{
"id": "",
"createdBy": "",
"sentDates": [
""
],
"acceptedDate": "",
"expirationDate": "",
"revokedBy": "",
"revokedDate": "",
"created": "",
"modified": "",
"firstName": "",
"lastName": "",
"email": "",
"organizationId": "",
"organizationName": "",
"requireAcceptance": false,
"userGroups": [
{
"id": "",
"name": ""
}
],
"properties": [
{
"name": "",
"value": ""
}
],
"permissions": [
{
"instanceId": "",
"instanceName": "",
"instanceNickname": "",
"navigationUrl": "",
"region": "",
"groupName": "",
"groupId": "",
"productId": "",
"productName": "",
"productType": "",
"allowCustomerDefinedRoles": false,
"hasUsageDashboard": false,
"isService": false,
"isHomeOrganization": false,
"organizationName": "",
"organizationId": "",
"roles": [
{
"name": "",
"id": "",
"properties": [
{
"name": "",
"value": ""
}
],
"attributes": [
{
"id": "",
"key": "",
"values": [
""
],
"instanceId": "",
"type": "",
"name": "",
"description": "",
"productId": "",
"isActive": false,
"created": "",
"modified": "",
"links": [
{
"rel": "",
"href": ""
}
]
}
]
}
]
}
],
"reasonForAccess": ""
}
],
"links": [
{
"rel": "",
"href": ""
}
]
}400
// The request was invalid or cannot be otherwise served. An accompanying error message will explain further.
[
{
"field": "",
"code": "",
"message": ""
}
]401
// Unauthorized access to endpoint.
500
// A server error occurred, please try again.